# Interface ReferenceTree

All Superinterfaces:
  `DocTree`

public interface ReferenceTree extends DocTree
A tree node for a reference to a Java language element.

       package.class#field
       package.class#method(arg-types)

Since:
  1.8

- ## Nested Class Summary

  ### Nested classes/interfaces declared in interface DocTree

  `DocTree.Kind`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getSignature()`
  Returns the signature of the Java language element being referenced, as found in `@see` and similar nodes.

  ### Methods declared in interface DocTree

  `accept, getKind`

- ## Method Details

  - ### getSignature

    String getSignature()
    Returns the signature of the Java language element being referenced, as found in `@see` and similar nodes.
    Returns:
      the signature